GET /api/v3/apiKey/{apiKeyId}

Get an API key

GetApiKeyV3 Permissions: ApplicationSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
apiKeyId integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ApiKeyResponse
Property Description Type
apiKeyDescription A description of the API key string
apiKeyId The identifier of the API key integer (int32)
apiKeyName The name of the API key string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The API key creation date string (date-time)
Example Response application/json
{  "apiKeyDescription": "string",  "apiKeyId": 1,  "apiKeyName": "string",  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30"
}